

# BatchDeleteTaxRegistration


Deletes tax registration for multiple accounts in batch. This can be used to delete tax registrations for up to five accounts in one batch. 

**Note**  
This API operation can't be used to delete your tax registration in Brazil. Use the [Payment preferences](https://console.aws.amazon.com/billing/home#/paymentpreferences/paymentmethods) page in the AWS Billing and Cost Management console instead.

## Request Syntax


```
POST /BatchDeleteTaxRegistration HTTP/1.1
Content-type: application/json

{
   "accountIds": [ "string" ]
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountIds](#API_taxSettings_BatchDeleteTaxRegistration_RequestSyntax) **   <a name="awscostmanagement-taxSettings_BatchDeleteTaxRegistration-request-accountIds"></a>
List of unique account identifiers.   
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 5 items.  
Length Constraints: Fixed length of 12.  
Pattern: `\d+`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
Content-type: application/json

{
   "errors": [ 
      { 
         "accountId": "string",
         "code": "string",
         "message": "string"
      }
   ]
}
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [errors](#API_taxSettings_BatchDeleteTaxRegistration_ResponseSyntax) **   <a name="awscostmanagement-taxSettings_BatchDeleteTaxRegistration-response-errors"></a>
The list of errors for the accounts the TRN information could not be deleted for.   
Type: Array of [BatchDeleteTaxRegistrationError](API_taxSettings_BatchDeleteTaxRegistrationError.md) objects

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The exception when the input is creating conflict with the given state.    
 ** errorCode **   
409
HTTP Status Code: 409

 ** InternalServerException **   
The exception thrown when an unexpected error occurs when processing a request.    
 ** errorCode **   
500
HTTP Status Code: 500

 ** ValidationException **   
The exception when the input doesn't pass validation for at least one of the input parameters.     
 ** errorCode **   
400  
 ** fieldList **   
400
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/taxsettings-2018-05-10/BatchDeleteTaxRegistration) 